import * as $dara from '@darabonba/typescript';
import { CreateDeploymentSetResponseBody } from "./CreateDeploymentSetResponseBody";
export declare class CreateDeploymentSetResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateDeploymentSetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
